Page MenuHomePhabricator

Central Gadget Taskforce meetup
Closed, ResolvedPublic

Description

Follow-up session of T159334 and T181381.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 4:37 PM
StjnVMF renamed this task from Central Gadget Taskforce meetup to unban reguyla.May 18 2018, 5:24 PM
StjnVMF updated the task description. (Show Details)
Sylvain_WMFr renamed this task from unban reguyla to Central Gadget Taskforce meetup.May 18 2018, 5:30 PM
Sylvain_WMFr updated the task description. (Show Details)

Notes

Reminder : decisions taken at Montpellier's pre-hackathon:

  • each gadget has an independent repository on Git
  • a bot ships the code to each wiki that has requested the service
  • each gadget is translated on translatewiki
  • a local configuration is provided for each wiki to setup small changes

Things to take decision on:

What about:

  • How to convince English Wikipedia to be on the loop?
    • Gadgets and Modules are made by developers, who are aimed to work together.
  • Templates?
    • Can be centralized in the same project. That would ease translations.
  • How new wikis will be welcomed?
    • During the proof-of-concept time, only one gadget on a few wikis will be available.
    • Other wikis/gadgets/Templates will be progressively added. The taskforce takes all decisions when to open the project to more people/projects.
  • Third-party wikis?
    • They can have access to the repository.
    • They can get the bot working for them?

Decisions

  • Goal: one gadget centralized before Wikimania as a proof of concept, and deployed on two friendly wikis (ca and fr, probably)

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

Rical added a subscriber: Rical.Jun 4 2018, 8:44 AM
Vvjjkkii renamed this task from Central Gadget Taskforce meetup to grcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from grcaaaaaaa to Central Gadget Taskforce meetup.Jul 1 2018, 7:51 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Rical removed a subscriber: Rical.Jul 2 2018, 6:28 AM
MusikAnimal removed a subscriber: Rical.Jul 3 2018, 2:58 AM
Aklapper closed this task as Resolved.Aug 24 2018, 11:29 AM

make sure to close the task when there are no more actions. :)

No reply, hence closing. If further actions are required, please create and link dedicated tasks. Thanks!